* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family:
    "Trebuchet MS", "Lucida Sans Unicode", "Lucida Grande", "Lucida Sans",
    Arial, sans-serif;
}

@view-transition{
  navigation: auto;
}

header {
  background-color: #f9f9fa;
  display: flex;
  height: 168px;
  padding: 0 30px;
}

header ul {
  display: flex;
  align-items: center;
  height: 168px;
  justify-content: end;
  gap: 80px;
}

header ul li {
  list-style: none;
  text-transform: uppercase;
}

header li a {
  text-decoration: none;
  color: black;
  font-weight: bold;
}

nav {
  flex-grow: 1;
}

#card_cont {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
  justify-content: space-evenly;
}

.product_card {
  border: 5px solid red;
  border-radius: 20px;
  margin: 20px;
  padding: 15px;
  width: 300px;
  box-shadow: 1px 1px 15px gray;
  transition: 0.5;
}

.product_card:hover{
  transform: scale(1.05);
}

main {
  background-color: chartreuse;
  padding: 20px 20px 60px 20px;
  min-height: calc(100vh - 168px - 50px);
}

main#form_main{
  background-image: url(../images/bg.jpg);
  background-size: cover;
  background-repeat: no-repeat;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  color: white;
  gap: 20px;
}

#my_form{
  width: 400px;
  border: 1px solid rgb(119,64,0);
  border-radius: 5px;
  padding: 5px;
  backdrop-filter: blur(5px);
}

#my_form fieldset{
  border: 1px solid rgb(119,64,0);
  border-radius: 5px;
  padding: 5px;
}

#my_form legend{
  margin-left: 30px;
  color: blanchedalmond;
  padding: 0 4px;
}

.my_table{
  border-collapse: collapse;
  margin-bottom: 50px;
}

.my_table th, .my_table td{
  border: 3px solid blue;
  width: 80px;
  padding: 5px;
  text-align: center;
}

.not_current_month{
  opacity: 0.5;
}

#current_date{
  font-weight: bold;
  background-color: blue;
  color: white;
}

.my_table td:not(.not_current_month):hover{
  background-color: darkgreen;
  color: white;
}

footer {
  background-color: darkgray;
  position: fixed;
  bottom: 0;
  left: 0;
  right: 0;
  height: 50px;
  text-align: center;
  line-height: 50px;
}

#main_area{
  background-color: tomato;
  padding: 10px;
  display: flex;
  gap: 10px;
}

#left_area{
  background-color: wheat;
  flex-grow: 1;
  padding: 10px;
}

#left_area p{
  background-color: aqua;
  margin: 10px;
}

#right_area{
  background-color: cadetblue;
  width: 300px;
  flex-grow: 0;
  flex-shrink: 0;
}

.input_group, .input_group1{
  font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
  font-weight: bold;
  padding: 10px 10px;
  
}

.input_group input, .input_group select{
  width: 100%;
  padding: 5px;
  background-color: transparent;
  border-radius: 5px;
  color: white;
  font-size: 20px;
}

.input_group select option{
  background-color: rgb(143, 58, 1);
}

.input_group select option:hover{
  background: #502101 ;
}

.input_group label, .input_group input{
  display: block;
}

/* remove number icon in field: Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* remove number icon in field: Firefox */
input[type=number] {
  -moz-appearance: textfield;
  appearance: textfield;
}

input[type="date"]::-webkit-calendar-picker-indicator {
  filter: invert(1);
}

#submit_btn{
  width: 100%;
  border: none;
  border-radius: 5px;
  font-size: 20px;
  background-color: #ad4601;
  font-weight: bold;
  color: white;
}

#submit_btn:hover{
  background: #b3a75d;
  box-shadow: 0 0 5px #b3a75d,
              0 0 25px #b3a75d,
              0 0 50px #b3a75d,
              0 0 100px #b3a75d,
              0 0 200px #b3a75d,
              0 0 400px #b3a75d;
}

#my_form h2{
  font-weight: normal;
  font-size: 20px;
}

.input_group1 input[type=radio], .input_group1 input[type=checkbox]{
  accent-color: #ad4601;
}

.article_tile{
  border: 3px solid red;
  border-radius: 20px;
  min-height: 250px;
  display: flex;
  gap: 30px;
  padding: 10px;
  margin: 20px 0;
}

.dtg{
  width: 200px;
  /* border: 2px solid chocolate;
  border-radius: 50px; */
  display: flex;
  flex-direction: column;
}

.article_example{
  flex: 1;
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.month, .day{
  text-align: center;
  flex: 1;
}

.month{
  font-size: 70px;
  background-color: red;
  border-radius: 50px 50px 0 0;
}

.month::after{
  content: '';
  display: block;
  width: 100%;
  height: 2px;
  background-color: rgb(255, 128, 128);
}

.day{
  font-size: 120px;
  background-color: white;
  border-radius: 0 0 50px 50px;
}